CREATE TABLE mnt_wo_soft_completions (
    WO_SOFT_COMPLETION_ID         NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    ASSET_ID                      NUMBER(18, 0)     NOT NULL,
    WORK_ORDER_ID                 NUMBER(18, 0)     NOT NULL,
    WO_OPERATION_ID               NUMBER(18, 0)     NOT NULL,
    WO_OPERATION_RESOURCE_ID      NUMBER(18, 0) ,
    WO_OP_RESOURCE_INSTANCE_ID    NUMBER(18, 0) ,
    TRANSACTION_DATE              TIMESTAMP(6)  ,
    TRANSACTION_NOTE              VARCHAR2(4000),
    COMPLETION_FLAG               VARCHAR2(4)       NOT NULL,
    ACTIVE_END_DATE               DATE          ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    REQUEST_ID                    NUMBER(18, 0) ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    WO_SOFT_COMPLETION_ID         NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    ASSET_ID                      NUMBER(18, 0)     NOT NULL,
    WORK_ORDER_ID                 NUMBER(18, 0)     NOT NULL,
    WO_OPERATION_ID               NUMBER(18, 0)     NOT NULL,
    WO_OPERATION_RESOURCE_ID      NUMBER(18, 0) ,
    WO_OP_RESOURCE_INSTANCE_ID    NUMBER(18, 0) ,
    COMPLETION_FLAG               VARCHAR2(4)       NOT NULL,
    ACTIVE_END_DATE               DATE          ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    REQUEST_ID                    NUMBER(18, 0) ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    TRANSACTION_DATE              TIMESTAMP(6)  ,
    TRANSACTION_NOTE              VARCHAR2(4000),
    CONSTRAINT pk_mnt_wo_soft_completions PRIMARY KEY (WO_SOFT_COMPLETION_ID, WO_SOFT_COMPLETION_ID)
);
